diff -urN linux-2.6.0-test1/arch/arm26/kernel/ecard.c linux-2.6.0-test1-printk-arm26/arch/arm26/kernel/ecard.c
--- linux-2.6.0-test1/arch/arm26/kernel/ecard.c	2003-07-13 23:39:32.000000000 -0400
+++ linux-2.6.0-test1-printk-arm26/arch/arm26/kernel/ecard.c	2003-07-23 16:25:28.000000000 -0400
@@ -403,16 +403,16 @@
 static void
 ecard_dump_irq_state(ecard_t *ec)
 {
-	printk("  %d: %sclaimed, ",
+	printk(KERN_EMERG "  %d: %sclaimed, ",
 	       ec->slot_no,
 	       ec->claimed ? "" : "not ");
 
 	if (ec->ops && ec->ops->irqpending &&
 	    ec->ops != &ecard_default_ops)
-		printk("irq %spending\n",
+		printk(KERN_EMERG "irq %spending\n",
 		       ec->ops->irqpending(ec) ? "" : "not ");
 	else
-		printk("irqaddr %p, mask = %02X, status = %02X\n",
+		printk(KERN_EMERG "irqaddr %p, mask = %02X, status = %02X\n",
 		       ec->irqaddr, ec->irqmask, *ec->irqaddr);
 }
 
@@ -438,7 +438,7 @@
 
 			desc->chip->mask(IRQ_EXPANSIONCARD);
 
-			printk("Expansion card IRQ state:\n");
+			printk(KERN_ERR "Expansion card IRQ state:\n");
 
 			for (ec = cards; ec; ec = ec->next)
 				ecard_dump_irq_state(ec);
@@ -763,7 +763,7 @@
 {
 	int slot, irqhw;
 
-	printk("Probing expansion cards\n");
+	printk(KERN_INFO "Probing expansion cards\n");
 
 	for (slot = 0; slot < 4; slot ++) {
 		ecard_probe(slot, ECARD_IOC);
diff -urN linux-2.6.0-test1/arch/arm26/kernel/irq.c linux-2.6.0-test1-printk-arm26/arch/arm26/kernel/irq.c
--- linux-2.6.0-test1/arch/arm26/kernel/irq.c	2003-07-13 23:37:58.000000000 -0400
+++ linux-2.6.0-test1-printk-arm26/arch/arm26/kernel/irq.c	2003-07-23 16:24:43.000000000 -0400
@@ -111,7 +111,7 @@
 
 	spin_lock_irqsave(&irq_controller_lock, flags);
 	if (unlikely(!desc->depth)) {
-		printk("enable_irq(%u) unbalanced from %p\n", irq,
+		printk(KERN_WARNING "enable_irq(%u) unbalanced from %p\n", irq,
 			__builtin_return_address(0)); //FIXME bum addresses reported - why?
 	} else if (!--desc->depth) {
 		desc->probing = 0;
diff -urN linux-2.6.0-test1/arch/arm26/kernel/process.c linux-2.6.0-test1-printk-arm26/arch/arm26/kernel/process.c
--- linux-2.6.0-test1/arch/arm26/kernel/process.c	2003-07-13 23:37:33.000000000 -0400
+++ linux-2.6.0-test1-printk-arm26/arch/arm26/kernel/process.c	2003-07-23 16:23:59.000000000 -0400
@@ -148,7 +148,7 @@
 	 * Tell the user! Should never happen...
 	 */
 	mdelay(1000);
-	printk("Reboot failed -- System halted\n");
+	printk(KERN_ALERT "Reboot failed -- System halted\n");
 	while (1);
 }
 
@@ -158,26 +158,26 @@
 
 	flags = condition_codes(regs);
 
-	printk("pc : [<%08lx>]    lr : [<%08lx>]    %s\n"
+	printk(KERN_EMERG "pc : [<%08lx>]    lr : [<%08lx>]    %s\n"
 	       "sp : %08lx  ip : %08lx  fp : %08lx\n",
 		instruction_pointer(regs),
 		regs->ARM_lr, print_tainted(), regs->ARM_sp,
 		regs->ARM_ip, regs->ARM_fp);
-	printk("r10: %08lx  r9 : %08lx  r8 : %08lx\n",
+	printk(KERN_EMERG "r10: %08lx  r9 : %08lx  r8 : %08lx\n",
 		regs->ARM_r10, regs->ARM_r9,
 		regs->ARM_r8);
-	printk("r7 : %08lx  r6 : %08lx  r5 : %08lx  r4 : %08lx\n",
+	printk(KERN_EMERG "r7 : %08lx  r6 : %08lx  r5 : %08lx  r4 : %08lx\n",
 		regs->ARM_r7, regs->ARM_r6,
 		regs->ARM_r5, regs->ARM_r4);
-	printk("r3 : %08lx  r2 : %08lx  r1 : %08lx  r0 : %08lx\n",
+	printk(KERN_EMERG "r3 : %08lx  r2 : %08lx  r1 : %08lx  r0 : %08lx\n",
 		regs->ARM_r3, regs->ARM_r2,
 		regs->ARM_r1, regs->ARM_r0);
-	printk("Flags: %c%c%c%c",
+	printk(KERN_EMERG "Flags: %c%c%c%c",
 		flags & PSR_N_BIT ? 'N' : 'n',
 		flags & PSR_Z_BIT ? 'Z' : 'z',
 		flags & PSR_C_BIT ? 'C' : 'c',
 		flags & PSR_V_BIT ? 'V' : 'v');
-	printk("  IRQs o%s  FIQs o%s  Mode %s  Segment %s\n",
+	printk(KERN_EMERG "  IRQs o%s  FIQs o%s  Mode %s  Segment %s\n",
 		interrupts_enabled(regs) ? "n" : "ff",
 		fast_interrupts_enabled(regs) ? "n" : "ff",
 		processor_modes[processor_mode(regs)],
@@ -203,12 +203,12 @@
 		if (regs->init_flag)
 			type = '?';
 
-		printk("  f%d(%c): %08lx %08lx %08lx%c",
+		printk(KERN_EMERG "  f%d(%c): %08lx %08lx %08lx%c",
 			i, type, p[0], p[1], p[2], i & 1 ? '\n' : ' ');
 	}
 			
 
-	printk("FPSR: %08lx FPCR: %08lx\n",
+	printk(KERN_EMERG "FPSR: %08lx FPCR: %08lx\n",
 		(unsigned long)regs->fpsr,
 		(unsigned long)regs->fpcr);
 }
diff -urN linux-2.6.0-test1/arch/arm26/kernel/ptrace.c linux-2.6.0-test1-printk-arm26/arch/arm26/kernel/ptrace.c
--- linux-2.6.0-test1/arch/arm26/kernel/ptrace.c	2003-07-13 23:34:32.000000000 -0400
+++ linux-2.6.0-test1-printk-arm26/arch/arm26/kernel/ptrace.c	2003-07-23 16:21:02.000000000 -0400
@@ -415,7 +415,7 @@
 	child->thread.debug.nsaved = 0;
 
 	if (nsaved > 2) {
-		printk("ptrace_cancel_bpt: bogus nsaved: %d!\n", nsaved);
+		printk(KERN_WARNING "ptrace_cancel_bpt: bogus nsaved: %d!\n", nsaved);
 		nsaved = 2;
 	}
 
diff -urN linux-2.6.0-test1/arch/arm26/kernel/setup.c linux-2.6.0-test1-printk-arm26/arch/arm26/kernel/setup.c
--- linux-2.6.0-test1/arch/arm26/kernel/setup.c	2003-07-13 23:31:22.000000000 -0400
+++ linux-2.6.0-test1-printk-arm26/arch/arm26/kernel/setup.c	2003-07-23 16:20:24.000000000 -0400
@@ -126,7 +126,7 @@
 	 * can do nothing...
 	 */
 	if (list >= &__proc_info_end) {
-		printk("CPU configuration botched (ID %08x), unable "
+		printk(KERN_EMERG "CPU configuration botched (ID %08x), unable "
 		       "to continue.\n", processor_id);
 		while (1);
 	}
@@ -135,7 +135,7 @@
 	processor = *list->proc;
 
 
-	printk("CPU: %s %s revision %d\n",
+	printk(KERN_INFO "CPU: %s %s revision %d\n",
 	       proc_info.manufacturer, proc_info.cpu_name,
 	       (int)processor_id & 15);
 
diff -urN linux-2.6.0-test1/arch/arm26/kernel/traps.c linux-2.6.0-test1-printk-arm26/arch/arm26/kernel/traps.c
--- linux-2.6.0-test1/arch/arm26/kernel/traps.c	2003-07-13 23:35:15.000000000 -0400
+++ linux-2.6.0-test1-printk-arm26/arch/arm26/kernel/traps.c	2003-07-23 16:23:18.000000000 -0400
@@ -74,23 +74,23 @@
 	fs = get_fs();
 	set_fs(KERNEL_DS);
 
-	printk("%s", str);
-	printk("(0x%08lx to 0x%08lx)\n", bottom, top);
+	printk(KERN_EMERG "%s", str);
+	printk(KERN_EMERG "(0x%08lx to 0x%08lx)\n", bottom, top);
 
 	for (p = bottom & ~31; p < top;) {
-		printk("%04lx: ", p & 0xffff);
+		printk(KERN_EMERG "%04lx: ", p & 0xffff);
 
 		for (i = 0; i < 8; i++, p += 4) {
 			unsigned int val;
 
 			if (p < bottom || p >= top)
-				printk("         ");
+				printk(KERN_EMERG "         ");
 			else {
 				__get_user(val, (unsigned long *)p);
-				printk("%08x ", val);
+				printk(KERN_EMERG "%08x ", val);
 			}
 		}
-		printk ("\n");
+		printk (KERN_EMERG "\n");
 	}
 
 	set_fs(fs);
@@ -111,20 +111,20 @@
 	fs = get_fs();
 	set_fs(KERNEL_DS);
 
-	printk("Code: ");
+	printk(KERN_EMERG "Code: ");
 	for (i = -4; i < 1; i++) {
 		unsigned int val, bad;
 
 		bad = __get_user(val, &((u32 *)addr)[i]);
 
 		if (!bad)
-			printk(i == 0 ? "(%0*x) " : "%0*x ", width, val);
+			printk(KERN_EMERG i == 0 ? "(%0*x) " : "%0*x ", width, val);
 		else {
-			printk("bad PC value.");
+			printk(KERN_EMERG "bad PC value.");
 			break;
 		}
 	}
-	printk("\n");
+	printk(KERN_EMERG "\n");
 
 	set_fs(fs);
 }
@@ -147,17 +147,17 @@
 	unsigned int fp;
 	int ok = 1;
 
-	printk("Backtrace: ");
+	printk(KERN_EMERG "Backtrace: ");
 	fp = regs->ARM_fp;
 	if (!fp) {
-		printk("no frame pointer");
+		printk(KERN_EMERG "no frame pointer");
 		ok = 0;
 	} else if (verify_stack(fp)) {
-		printk("invalid frame pointer 0x%08x", fp);
+		printk(KERN_EMERG "invalid frame pointer 0x%08x", fp);
 		ok = 0;
 	} else if (fp < (unsigned long)(tsk->thread_info + 1))
-		printk("frame pointer underflow");
-	printk("\n");
+		printk(KERN_EMERG "frame pointer underflow");
+	printk(KERN_EMERG "\n");
 
 	if (ok)
 		c_backtrace(fp, processor_mode(regs));
@@ -192,10 +192,10 @@
 	console_verbose();
 	spin_lock_irq(&die_lock);
 
-	printk("Internal error: %s: %x\n", str, err);
-	printk("CPU: %d\n", smp_processor_id());
+	printk(KERN_EMERG "Internal error: %s: %x\n", str, err);
+	printk(KERN_EMERG "CPU: %d\n", smp_processor_id());
 	show_regs(regs);
-	printk("Process %s (pid: %d, stack limit = 0x%p)\n",
+	printk(KERN_EMERG "Process %s (pid: %d, stack limit = 0x%p)\n",
 		current->comm, current->pid, tsk->thread_info + 1);
 
 	if (!user_mode(regs) || in_interrupt()) {
@@ -328,8 +328,8 @@
 asmlinkage void do_unexp_fiq (struct pt_regs *regs)
 {
 #ifndef CONFIG_IGNORE_FIQ
-	printk("Hmm.  Unexpected FIQ received, but trying to continue\n");
-	printk("You may have a hardware problem...\n");
+	printk(KERN_CRIT "Hmm.  Unexpected FIQ received, but trying to continue\n");
+	printk(KERN_CRIT "You may have a hardware problem...\n");
 #endif
 }
 
@@ -452,7 +452,7 @@
 	 * experience shows that these seem to indicate that
 	 * something catastrophic has happened
 	 */
-	printk("[%d] %s: arm syscall %d\n", current->pid, current->comm, no);
+	printk(KERN_DEBUG "[%d] %s: arm syscall %d\n", current->pid, current->comm, no);
 	dump_instr(regs);
 	if (user_mode(regs)) {
 		show_regs(regs);
@@ -471,7 +471,7 @@
 
 void __bad_xchg(volatile void *ptr, int size)
 {
-	printk("xchg: bad data size: pc 0x%p, ptr 0x%p, size %d\n",
+	printk(KERN_ERR "xchg: bad data size: pc 0x%p, ptr 0x%p, size %d\n",
 		__builtin_return_address(0), ptr, size);
 	BUG();
 }
@@ -507,34 +507,34 @@
 	printk(KERN_CRIT"kernel BUG at %s:%d!", file, line);
 	if (data)
 		printk(KERN_CRIT" - extra data = %p", data);
-	printk("\n");
+	printk(KERN_CRIT "\n");
 	*(int *)0 = 0;
 }
 
 void __readwrite_bug(const char *fn)
 {
-	printk("%s called, but not implemented", fn);
+	printk(KERN_ERR "%s called, but not implemented", fn);
 	BUG();
 }
 
 void __pte_error(const char *file, int line, unsigned long val)
 {
-	printk("%s:%d: bad pte %08lx.\n", file, line, val);
+	printk(KERN_ERR "%s:%d: bad pte %08lx.\n", file, line, val);
 }
 
 void __pmd_error(const char *file, int line, unsigned long val)
 {
-	printk("%s:%d: bad pmd %08lx.\n", file, line, val);
+	printk(KERN_ERR "%s:%d: bad pmd %08lx.\n", file, line, val);
 }
 
 void __pgd_error(const char *file, int line, unsigned long val)
 {
-	printk("%s:%d: bad pgd %08lx.\n", file, line, val);
+	printk(KERN_ERR "%s:%d: bad pgd %08lx.\n", file, line, val);
 }
 
 asmlinkage void __div0(void)
 {
-	printk("Division by zero in kernel.\n");
+	printk(KERN_EMERG "Division by zero in kernel.\n");
 	dump_stack();
 }
 
diff -urN linux-2.6.0-test1/arch/arm26/machine/dma.c linux-2.6.0-test1-printk-arm26/arch/arm26/machine/dma.c
--- linux-2.6.0-test1/arch/arm26/machine/dma.c	2003-07-13 23:36:34.000000000 -0400
+++ linux-2.6.0-test1-printk-arm26/arch/arm26/machine/dma.c	2003-07-23 16:19:20.000000000 -0400
@@ -65,7 +65,7 @@
 	    }
 	    break;
 	default:
-		printk ("enable_dma: dma%d not initialised\n", channel);
+		printk (KERN_WARNING "enable_dma: dma%d not initialised\n", channel);
 	}
 }
 
@@ -84,7 +84,7 @@
 	unsigned long flags;
 
 	DPRINTK("arc_floppy_cmdend_enable_dma\n");
-	/*printk("enable_dma fdc1772 command end FIQ\n");*/
+	/*printk(KERN_NOTICE "enable_dma fdc1772 command end FIQ\n");*/
 	save_flags(flags);
 	clf();
 	
@@ -157,7 +157,7 @@
 		fiqhandler_length = &floppy_fiqout_end - &floppy_fiqout_start;
 	}
 	if (claim_fiq(&fh)) {
-		printk("floppydma: couldn't claim FIQ.\n");
+		printk(KERN_ERR "floppydma: couldn't claim FIQ.\n");
 		return;
 	}
 	memcpy((void *)0x1c, fiqhandler_start, fiqhandler_length);
diff -urN linux-2.6.0-test1/arch/arm26/machine/oldlatches.c linux-2.6.0-test1-printk-arm26/arch/arm26/machine/oldlatches.c
--- linux-2.6.0-test1/arch/arm26/machine/oldlatches.c	2003-07-13 23:32:39.000000000 -0400
+++ linux-2.6.0-test1-printk-arm26/arch/arm26/machine/oldlatches.c	2003-07-23 16:18:28.000000000 -0400
@@ -36,7 +36,7 @@
 	__raw_writeb(latch_a_copy, LATCHA_BASE);
 	local_irq_restore(flags);
 
-	printk("Latch: A = 0x%02x\n", latch_a_copy);
+	printk(KERN_NOTICE "Latch: A = 0x%02x\n", latch_a_copy);
 }
 
 
@@ -53,7 +53,7 @@
 	__raw_writeb(latch_b_copy, LATCHB_BASE);
 	local_irq_restore(flags);
 
-	printk("Latch: B = 0x%02x\n", latch_b_copy);
+	printk(KERN_NOTICE "Latch: B = 0x%02x\n", latch_b_copy);
 }
 
 static int __init oldlatch_init(void)
diff -urN linux-2.6.0-test1/arch/arm26/machine/small_page.c linux-2.6.0-test1-printk-arm26/arch/arm26/machine/small_page.c
--- linux-2.6.0-test1/arch/arm26/machine/small_page.c	2003-07-13 23:28:55.000000000 -0400
+++ linux-2.6.0-test1-printk-arm26/arch/arm26/machine/small_page.c	2003-07-23 16:17:53.000000000 -0400
@@ -174,10 +174,10 @@
 	return;
 
 non_small:
-	printk("Trying to free non-small page from %p\n", __builtin_return_address(0));
+	printk(KERN_WARNING "Trying to free non-small page from %p\n", __builtin_return_address(0));
 	return;
 already_free:
-	printk("Trying to free free small page from %p\n", __builtin_return_address(0));
+	printk(KERN_WARNING "Trying to free free small page from %p\n", __builtin_return_address(0));
 }
 
 unsigned long get_page_8k(int priority)
diff -urN linux-2.6.0-test1/arch/arm26/mm/fault.c linux-2.6.0-test1-printk-arm26/arch/arm26/mm/fault.c
--- linux-2.6.0-test1/arch/arm26/mm/fault.c	2003-07-13 23:32:33.000000000 -0400
+++ linux-2.6.0-test1-printk-arm26/arch/arm26/mm/fault.c	2003-07-23 16:26:49.000000000 -0400
@@ -65,18 +65,18 @@
 			break;
 
 		if (pmd_bad(*pmd)) {
-			printk("(bad)");
+			printk(KERN_ALERT "(bad)");
 			break;
 		}
 
 		/* We must not map this if we have highmem enabled */
 		/* FIXME */
 		pte = pte_offset_map(pmd, addr);
-		printk(", *pte=%08lx", pte_val(*pte));
+		printk(KERN_ALERT ", *pte=%08lx", pte_val(*pte));
 		pte_unmap(pte);
 	} while(0);
 
-	printk("\n");
+	printk(KERN_ALERT "\n");
 }
 
 /*
@@ -118,7 +118,7 @@
 	struct siginfo si;
 
 #ifdef CONFIG_DEBUG_USER
-	printk("%s: unhandled page fault at 0x%08lx, code 0x%03x\n",
+	printk(KERN_DEBUG "%s: unhandled page fault at 0x%08lx, code 0x%03x\n",
 	       tsk->comm, addr, fsr);
 	show_pte(tsk->mm, addr);
 	show_regs(regs);
@@ -212,7 +212,7 @@
 	tsk = current;
 	mm  = tsk->mm;
 
-	printk("do_page_fault: pid: %d\n", tsk->pid);
+	printk(KERN_WARNING "do_page_fault: pid: %d\n", tsk->pid);
 	/*
 	 * If we're in an interrupt or have no user
 	 * context, we must not take the fault..
@@ -251,7 +251,7 @@
 		 * We ran out of memory, or some other thing happened to
 		 * us that made us unable to handle the page fault gracefully.
 		 */
-		printk("VM: killing process %s\n", tsk->comm);
+		printk(KERN_WARNING "VM: killing process %s\n", tsk->comm);
 		do_exit(SIGKILL);
 	}
 	else{
@@ -308,7 +308,7 @@
 {
 #if 0
         if (the memc mapping for this page exists) {
-                printk ("Page in, but got abort (undefined instruction?)\n");
+                printk (KERN_DEBUG "Page in, but got abort (undefined instruction?)\n");
                 return 0;
         }
 #endif
diff -urN linux-2.6.0-test1/arch/arm26/mm/init.c linux-2.6.0-test1-printk-arm26/arch/arm26/mm/init.c
--- linux-2.6.0-test1/arch/arm26/mm/init.c	2003-07-13 23:38:35.000000000 -0400
+++ linux-2.6.0-test1-printk-arm26/arch/arm26/mm/init.c	2003-07-23 16:27:26.000000000 -0400
@@ -62,9 +62,9 @@
 	int shared = 0, cached = 0, slab = 0;
 	struct page *page, *end;
 
-	printk("Mem-info:\n");
+	printk(KERN_INFO "Mem-info:\n");
 	show_free_areas();
-	printk("Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+	printk(KERN_INFO "Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
 
 
 	page = NODE_MEM_MAP(0);
@@ -85,12 +85,12 @@
 		page++;
 	} while (page < end);
 
-	printk("%d pages of RAM\n", total);
-	printk("%d free pages\n", free);
-	printk("%d reserved pages\n", reserved);
-	printk("%d slab pages\n", slab);
-	printk("%d pages shared\n", shared);
-	printk("%d pages swap cached\n", cached);
+	printk(KERN_INFO "%d pages of RAM\n", total);
+	printk(KERN_INFO "%d free pages\n", free);
+	printk(KERN_INFO "%d reserved pages\n", reserved);
+	printk(KERN_INFO "%d slab pages\n", slab);
+	printk(KERN_INFO "%d pages shared\n", shared);
+	printk(KERN_INFO "%d pages swap cached\n", cached);
 }
 
 struct node_info {
@@ -360,7 +360,7 @@
 
 	num_physpages = meminfo.bank[0].size >> PAGE_SHIFT;
 
-	printk(" = %luMB total\n", num_physpages >> (20 - PAGE_SHIFT));
+	printk(KERN_INFO " = %luMB total\n", num_physpages >> (20 - PAGE_SHIFT));
 	printk(KERN_NOTICE "Memory: %luKB available (%dK code, "
 		"%dK data, %dK init)\n",
 		(unsigned long) nr_free_pages() << (PAGE_SHIFT-10),
@@ -370,7 +370,7 @@
 	 */
 	if (PAGE_SIZE >= 16384 && num_physpages <= 128) {
 		sysctl_overcommit_memory = 1;
-		printk("Turning on overcommit\n");
+		printk(KERN_INFO "Turning on overcommit\n");
 	}
 }
 
